distribution-methods {Rtreemix} | R Documentation

## Method for generating the (scaled) probablility distribution induced with a given mutagenetic trees mixture model

### Description

These functions generate the probability distribution induced with a given mutagenetic trees mixture model `model` on the space of all possible patterns of genetic events. The `model` has to be specified. The sampling mode and the parameters for the sampling times of the observed input and output probabilities are optional. The number of genetic events in the `model` cannot exceed 30.

### Usage

    ## S4 method for signature 'RtreemixModel, missing,
    ##   missing, missing':
    distribution(model, sampling.mode, sampling.param, output.param)
    ## S4 method for signature 'RtreemixModel, character,
    ##   numeric, numeric':
    distribution(model, sampling.mode,
    sampling.param, output.param)

### Arguments

`model` | An `RtreemixModel` object that encodes a probability distribution on the set of all possible patterns.
`sampling.mode` | A `character` that specifies the sampling mode ("constant" or "exponential") for the observed input and output probabilities.
`sampling.param` | A `numeric` that specifies the sampling parameter for the observed input probabilities corresponding to the sampling mode given by `sampling.mode`.
`output.param` | A `numeric` that specifies the sampling parameter for the observed output probabilities corresponding to the sampling mode given by `sampling.mode`.

### Value

The function returns a `dataframe` of all possible patterns with their corresponding probabilities derived from the specified trees mixture model. When the sampling mode and the sampling parameters (input and output) are specified their values are printed out.

### Author(s)

Jasmina Bogojeska

### References

Learning multiple evolutionary pathways from cross-sectional data, N. Beerenwinkel et al.

### See Also

`RtreemixModel-class`, `fit-methods`

### Examples

    ## Generate a random RtreemixModel object with 3 components.
    mod <- generate(K = 3, no.events = 8, noise.tree = TRUE, prob = c(0.2, 0.8))
    show(mod)

    ## See the probability distribution encoded by the model on the set of all possible patterns.
    distr <- distribution(model = mod)
    distr

    ## Get the probabilities.
    distr$probability

    ## See the probability distribution encoded by the model on the set of all possible patterns
    ## calculated for given sampling mode, and corresponding input and output parameters.
    distr1 <- distribution(model = mod, sampling.mode = "exponential", sampling.param = 1, output.param = 1)
    distr1

[Package Rtreemix version 1.4.0 Index]